Accounts & UsersUpdate a user's roles

Update a user's roles

Replaces the roles assigned to a user. The request body must contain the full desired set of roles; roles omitted from the request are removed.

curl -X PUT "https://api.rad.security/accounts/example_string/users/example_string/roles" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "roles": [
    {
      "account_id": "example_string",
      "account_name": "John Doe",
      "level": "example_string",
      "name": "John Doe"
    }
  ]
}'
{}
PUT
/accounts/{account_id}/users/{user_id}/roles
PUT
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer token - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authentication token required.

Path Parameters

Body

application/json
rolesarray

Responses